% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vm_multiTrt_att.R
\name{vm_multiTrt_att}
\alias{vm_multiTrt_att}
\title{Vector matching Matching (VM matching)}
\usage{
vm_multiTrt_att(y, x, trt)
}
\arguments{
\item{y}{numeric vector for the binary outcome}

\item{x}{dataframe including the treatment indicator and the covariates}

\item{trt}{numeric vector for the treatment indicator}
}
\value{
list with 2 elements for ATT effect. It contains
\item{ATT12:}{A dataframe containing the estimation,
standard error, lower and upper 95\% CI for RD/RR/OR}
\item{ATT13:}{A dataframe containing the estimation,
standard error, lower and upper 95\% CI for RD/RR/OR}
list with 3 elements for ATE effect. It contains
\item{ATE12:}{A dataframe containing the estimation,
standard error, lower and upper 95\% CI for RD/RR/OR}
\item{ATE13:}{A dataframe containing the estimation,
standard error, lower and upper 95\% CI for RD/RR/OR}
\item{ATE23:}{A dataframe containing the estimation,
standard error, lower and upper 95\% CI for RD/RR/OR}
}
\description{
This function implements the VM matching method. Please use our main function causal_multi_treat.R.
}
\examples{
library(CIMTx)
set.seed(1)
idata = data_gen(n = 1200, ratio =1,scenario = 1)
trt_ind <- as.numeric(idata$trtdat$trt_ind)
all_vars <- idata$trtdat[, -1] #exclude treatment indicator
y <- idata$Yobs
vm_multiTrt_att(y=y,x = idata$trtdat, trt = trt_ind)
}
